Name:           qlipper
Version:        5.1.2
Release:        %mkrel 5
Summary:        Lightweight clipboard history
Group:          Graphical desktop/Other
License:        GPLv2+
URL:            https://github.com/pvanek/qlipper
Source0:        https://github.com/pvanek/qlipper/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake
BuildRequires:  imagemagick

%description
Lightweight and cross-platform clipboard history applet.

%prep
%setup -q

%build
# I have segmentation fault with system qxt (in vbox)
%cmake_qt5 \
    -DUSE_SYSTEM_QXT=OFF

%cmake_build

%install
%cmake_install

install -d -D -m 755 %{buildroot}%{_datadir}/pixmaps
install -d -D -m 755 %{buildroot}%{_iconsdir}

install -D -m 644 src/icons/%{name}.png %{buildroot}%{_iconsdir}
convert %{buildroot}%{_iconsdir}/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_iconsdir}/%{name}.*
%{_datadir}/pixmaps/%{name}.*
%{_iconsdir}/hicolor/*/*/qlipper.png


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 5.1.2-5.mga9
+ Revision: 1842150
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 5.1.2-4.mga8
+ Revision: 1659490
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 5.1.2-3.mga8
+ Revision: 1525002
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 5.1.2-2.mga7
+ Revision: 1384223
- Qt5 Rebuild

* Fri Mar 01 2019 daviddavid <daviddavid> 5.1.2-1.mga7
+ Revision: 1370627
- new version: 5.1.2

* Sun Sep 23 2018 umeabot <umeabot> 5.1.1-2.mga7
+ Revision: 1300657
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 daviddavid <daviddavid> 5.1.1-1.mga7
+ Revision: 1189817
- new version: 5.1.1

* Tue Sep 20 2016 ghibo <ghibo> 5.0.0-2.mga6
+ Revision: 1054700
- fix qlipper.png permission

* Sat Jan 09 2016 dglent <dglent> 5.0.0-1.mga6
+ Revision: 920696
- Version 5.0.0
- Qt5 build

* Sun Jan 03 2016 luigiwalser <luigiwalser> 2.0.2-5.mga6
+ Revision: 918604
- add patch to build against libqxt 0.7

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 749722
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-3.mga5
+ Revision: 688493
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 539682
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 matteo <matteo> 2.0.2-1.mga4
+ Revision: 492699
- new version 2.0.2
- added dependency to libqxt
- added dependency to libqtsingleapplication
- added patch0 (fix missing qtsa include directory into CMakeLists.txt)

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-2.mga3
+ Revision: 379838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 matteo <matteo> 2.0.1-1.mga3
+ Revision: 340021
- new version (fixes mga#8593)

* Sun Dec 09 2012 matteo <matteo> 2.0.0-2.mga3
+ Revision: 329060
- added menu icon not installed by default

* Sun Feb 26 2012 matteo <matteo> 2.0.0-1.mga2
+ Revision: 215398
- new version

* Fri Jan 06 2012 matteo <matteo> 1.8.3-2.mga2
+ Revision: 191986
+ rebuild (emptylog)

* Mon Dec 19 2011 matteo <matteo> 1.8.3-1.mga2
+ Revision: 184384
- fixed url and source
- imported package qlipper

